import os

URDUISTICS_DIR = os.path.dirname(__file__)
RESOURCES_DIR = os.path.join(URDUISTICS_DIR,"resources")

RESOURCES_URLS = {
        "URDU_NER_MODEL" : "https://github.com/AIMLAB-Fast/URDUISTICS_RESOURCES/releases/download/RESOURCES/urdu_ner_model.zip",
        "URDU_POS_MODEL" : "https://github.com/AIMLAB-Fast/URDUISTICS_RESOURCES/releases/download/RESOURCES/urdu_pos_model.zip",
        "URDU_WTK_MODEL" : "https://github.com/AIMLAB-Fast/URDUISTICS_RESOURCES/releases/download/RESOURCES/urdu_wtk_model.zip",
        "URDU_STEMMER_DATASET" : "https://github.com/AIMLAB-Fast/URDUISTICS_RESOURCES/releases/download/RESOURCES/urdu_stemmer_dataset.zip",
        "URDU_LEMMATIZER_DICT" : "https://github.com/AIMLAB-Fast/URDUISTICS_RESOURCES/releases/download/RESOURCES/urdu_lemmatizer_dict.zip",
        "TFIDF_VECTORIZER" : "https://github.com/AIMLAB-Fast/URDUISTICS_RESOURCES/releases/download/RESOURCES/tfidf_vectorizer.zip",
        "RURDU_SPELLING_DICT" : "https://github.com/AIMLAB-Fast/URDUISTICS_RESOURCES/releases/download/RESOURCES/rurdu_spelling_dict.zip",
        }

RESOURCES_PATHS = {model_name : os.path.join(RESOURCES_DIR, url.split('/')[-1].rstrip('.zip')) 
                        for model_name, url in RESOURCES_URLS.items()}

