from urduistics.utils import load_resource

def wildcard(word1, word2):
    isSame = True

    if len(word1) == len(word2):
        for i in range(0, len(word1)):
            if(word1[i] != word2[i]):
                if(word2[i] == '_' or word2[i] == '?'):
                    continue
                else:
                    isSame = False
                    break
    else:
        isSame = False

    return isSame

def find(word, FromWC, ToWC, FromNWC, ToNWC):
    for i in range(0, len(FromNWC)):
        if wildcard(str(word), str(FromNWC[i])):
            return str(ToNWC[i])
    for i in range(0, len(FromWC)):
        if wildcard(str(word), str(FromNWC[i])):
            return str(ToWC[i])
    return word

def normalize_spellings(text=''):
    df = load_resource("RURDU_SPELLING_DICT", "csv")
    From = df.FROM
    To = df.TO

    fromWildcard = From[[str(From[i]).find('_')!=-1 for i in range(len(From))]].to_numpy().tolist()
    fromNoWildcard = From[[str(From[i]).find('_')==-1 for i in range(len(From))]].to_numpy().tolist()
    toWildcard = To[[str(From[i]).find('_')!=-1 for i in range(len(From))]].to_numpy().tolist()
    toNoWildcard = To[[str(From[i]).find('_')==-1 for i in range(len(From))]].to_numpy().tolist()
       
    sep = text.lower().split(' ')
    fixed = []
    for word in sep:
        fixed.append(find(word, fromWildcard, toWildcard, fromNoWildcard, toNoWildcard))

    sentence = ""
    for word in fixed:
        sentence = sentence + word + ' '
    return sentence[:-1]
    